#pragma once
#include <map>
struct M_vip_configData
{
	//ID
	int mID;
	//Vip等级
	int mleve;
	//所需经验
	int mvipexp;
	//每日奖励（道具ID，数量）
	std::vector<int> meverdayreward;
	//额外技能数量
	int mskillquantity;
};

class M_vip_config
{
public:
private:
	static std::auto_ptr<M_vip_config> msSingleton;
public:
	int GetCount();
	const M_vip_configData* GetData(int ID);
	const std::map<int, M_vip_configData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_vip_config* GetSingleton();
	static void Release();
private:
	std::map<int, M_vip_configData> mMapData;
};
